Bug 1661702 - Update Synapse to 0.34.0, switch to Python 3
Summary: Update Synapse to 0.34.0, switch to Python 3
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: matrix-synapse
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jeremy Cline
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3 PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2018-12-22 11:34 UTC by Miro Hrončok
Modified: 2018-12-31 09:43 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-31 09:43:27 UTC


Attachments (Terms of Use)

Description Miro Hrončok 2018-12-22 11:34:12 UTC
I have just read this wonderful news:

https://twitter.com/matrixdotorg/status/1076108953313001472
https://matrix.org/blog/2018/12/21/porting-synapse-to-python-3/

tl;dr Synapse supports python 3 since 0.34.0, with massive perf wins.

Please update Synapse to Python 3.

Technically this is blocked by python-affinity and python-matrix-synapse-ldap3 packages, but maybe they are no longer needed or can be updated as well.

Other packages will get unblocked for Python 2 removal by this.

Thanks!

Comment 1 Jeremy Cline 2018-12-28 21:17:12 UTC
It looks like affinity is no longer a dependency and I built python-matrix-synapse-ldap3 for Python 3. I've updated Rawhide to 0.34 and swapped it over to use Python 3.

Comment 2 Miro Hrončok 2018-12-28 21:24:54 UTC
Thanks \o/

Comment 3 Miro Hrončok 2018-12-29 00:17:36 UTC
python2-matrix-synapse-ldap3 is not needed

https://src.fedoraproject.org/rpms/python-matrix-synapse-ldap3/pull-request/1

Comment 4 Miro Hrončok 2018-12-31 09:43:27 UTC
https://bugzilla.redhat.com/show_bug.cgi?id=1662644


Note You need to log in before you can comment on or make changes to this bug.